#ifndef EXPANDER_H
#define EXPANDER_H
//------------------------------------------------------------------------------
#include "MCP23017_Prototypes.h"
#include "../i2c/I2C.h"
//------------------------------------------------------------------------------
void EXPANDER_init(char portA, char portB)
{
  I2C_init(100000);          //Initialize I2C bus with clock frequency of 100kHz
  
  EXPANDER_write(IODIRA, portA);
  EXPANDER_write(IODIRB, portB);
}
//------------------------------------------------------------------------------
void EXPANDER_write(char portAddr, char data)
{
  while(I2C_busy());          //Wait for previous operations to cease.

  I2C_start();
  I2C_write(WRITE);
  I2C_write(portAddr);
  I2C_write(data);
  I2C_stop();
}
//------------------------------------------------------------------------------
char EXPANDER_read(char portAddr)
{
  while(I2C_busy());

  I2C_start();
  
  I2C_write(WRITE);
  I2C_write(portAddr);
  I2C_restart();
  I2C_write(READ);
  char data = I2C_read(1);
  
  I2C_stop();

  return data;
}
//------------------------------------------------------------------------------
#endif